using System;

using Nop.Core;

using Nop.Plugin.Misc.AuctionPlugin.Domains;

using System.Collections.Generic;
using Nop.Plugin.Misc.AuctionPlugin.Domains.Entities;

namespace Nop.Plugin.Misc.AuctionPlugin.Services

{
    public interface IAnnouncementService
    {
        public Task DeleteAsync(Announcement announcement);

        public Task InsertAsync(Announcement announcement);

        public Task<bool> UpdateAsync(Announcement announcement);

        public Task<IPagedList<Announcement>> GetAnnouncementsAsync(int pageIndex = 0, int pageSize = int.MaxValue);

        public Task<Announcement> GetAnnouncementDesignFirstAsync();

        public Task<Announcement> GetAnnouncementByIdAsync(int id);
    }
}
